# 22. Virtuoso Functions Guide - composite

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
vt_batch_update
vt_drop_ftt
composite
composite_ref
contains
vt_batch
vt_batch_d_id
vt_batch_feed
vt_batch_feed_offban...
vt_create_text_index
vt_is_noise
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## composite

create a composite object
composite obj composite (in x any, ... );
Parameters
x ... – The function takes a variable number of parameters of any type.
Return Values

A composite object

Description

Create a composite object

Returns a composite object containing the serialization of each argument. The total serialized length of the arguments may not exceed 255.

Errors

SQLState | Error Code | Error Text | Description
--- | --- | --- | ---
22026 | FT001 | Length limit of composite exceeded. | The sum of length of the components exceeds 255.

Examples
Simple example

Get second component of a composite of two integers. See reference page for composite_ref.

    SQL> select composite_ref (composite (10,20), 1);
    callret
    VARCHAR
    _______________________________________________________________________________

    20

    1 Rows. -- 6 msec.

See Also

composite_ref . The chapter Composite Data Type for a definition of properties of composite objects.